Bug 37506 - Ecartis Port Security Upgrade (urgent)
Summary: Ecartis Port Security Upgrade (urgent)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: greid
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-27 14:50 UTC by Trish Lynch
Modified: 2002-05-11 03:51 UTC (History)
0 users

See Also:


Attachments
file.diff (2.26 KB, patch)
2002-04-27 14:50 UTC, Trish Lynch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trish Lynch 2002-04-27 14:50:01 UTC
Multiple strcpy and strcat security issues, as well as sprintf's fixed.	
Fix for "ecartisx.c" vulnerability
Comment 1 Anders Nordby freebsd_committer 2002-05-05 16:40:20 UTC
Responsible Changed
From-To: freebsd-ports->greid

George, are you done with this PR?
Comment 2 Patrik Backlund 2002-05-07 17:56:12 UTC
The port version should be bumped too (perhaps by adding a
PORTREVISION).
Comment 3 Ying-Chieh Liao freebsd_committer 2002-05-11 03:51:15 UTC
State Changed
From-To: open->closed

superceded by pr/37893